Skip to main content
`Ctrl`+`K`

# DMForestSetComputeAdaptivitySF

During the pre-setup phase, set whether transfer `PetscSF`s should be computed relating the cells of the pre-adaptation forest to the post-adaptiation forest.

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetComputeAdaptivitySF(DM dm, PetscBool computeSF)

Logically Collective

## Input Parameters

- dm - the post-adaptation forest

- computeSF - default `PETSC_TRUE`

## Note

After `DMSetUp()` is called, the transfer `PetscSF`s can be accessed with `DMForestGetAdaptivitySF()`.

## See Also

`DM`, `DMFOREST`, `DMForestGetComputeAdaptivitySF()`, `DMForestGetAdaptivitySF()`

## Level

advanced

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages